Campaigns
GET https://push.cheraghestan.com/api/campaigns/
curl --request GET \
--url 'https://push.cheraghestan.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو. |
| search_by | اختیاری رشته | چه فیلدی را جستجو میکنید. مقادیر مجاز: name, title, description, url. |
| status | اختیاری رشته | مقادیر مجاز: draft, scheduled, processing, sent |
| website_id | اختیاری عدد صحیح | |
| datetime_field | اختیاری رشته | مقادیر مجاز: datetime, scheduled_datetime, last_sent_datetime, last_datetime |
| datetime_start | اختیاری رشته | نتایج را از این تاریخ و زمان شروع فیلتر کنید. فرمت Y-m-d H:i:s. |
| datetime_end | اختیاری رشته | نتایج را تا این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s. |
| order_by | اختیاری رشته | نتایج بر اساس کدام فیلد مرتب شوند. مقادیر مجاز: campaign_id, datetime, last_datetime, scheduled_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی، و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن باشد. پیشفرض 1. |
| results_per_page | اختیاری عدد صحیح | چند نتیجه در هر صفحه میخواهید. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. پیشفرض 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"segment": "all",
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"subscribers_ids": [
1,2,3,4,5
],
"sent_subscribers_ids": [],
"total_sent_push_notifications": 0,
"total_push_notifications": 1,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"status": "draft",
"scheduled_datetime": "2024-08-09 00:16:22",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-10-13 14:39:27",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://push.cheraghestan.com/api/campaigns?page=1",
"last": "https://push.cheraghestan.com/api/campaigns?page=1",
"next": null,
"prev": null,
"self": "https://push.cheraghestan.com/api/campaigns?page=1"
}
}
GET https://push.cheraghestan.com/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://push.cheraghestan.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"segment": "all",
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"subscribers_ids": [
1,2,3,4,5
],
"sent_subscribers_ids": [],
"total_sent_push_notifications": 0,
"total_push_notifications": 1,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"status": "draft",
"scheduled_datetime": "2024-08-09 00:16:22",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-10-13 14:39:27",
}
}
POST https://push.cheraghestan.com/api/campaigns
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| website_id | الزامی عدد صحیح | - |
| name | الزامی رشته | - |
| title | الزامی رشته | - |
| description | الزامی رشته | - |
| url | اختیاری رشته | - |
| image | اختیاری فایل | - |
| button_title_1 | اختیاری رشته | - |
| button_url_1 | اختیاری رشته | - |
| button_title_2 | اختیاری رشته | - |
| button_url_2 | اختیاری رشته | - |
| is_scheduled | اختیاری بولی | - |
| scheduled_datetime | اختیاری رشته | - |
| is_silent | اختیاری بولی | - |
| is_auto_hide | اختیاری بولی | - |
| ttl | اختیاری رشته | مقادیر مجاز: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | اختیاری رشته | مقادیر مجاز: all, custom, filter, INT segment_id |
| subscribers_ids | اختیاری رشته | در دسترس زمانی که: segment = custom |
| filters_custom_parameter_key[index] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_custom_parameter_condition[index] | اختیاری رشته |
مقادیر مجاز: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than در دسترس زمانی که: segment = filter |
| filters_custom_parameter_value[index] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_seen_online_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_sent_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_subscribed_on_url | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_cities | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_countries[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_continents[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_device_type[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_languages[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_operating_systems[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_browsers[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| utm_source | اختیاری رشته | - |
| utm_medium | اختیاری رشته | - |
| utm_campaign | اختیاری رشته | - |
| save | اختیاری بولی | Save draft |
| send | اختیاری بولی | Send campaign |
curl --request POST \
--url 'https://push.cheraghestan.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://push.cheraghestan.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
POST https://push.cheraghestan.com/api/campaigns/{campaign_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| website_id | اختیاری عدد صحیح | - |
| name | اختیاری رشته | - |
| title | اختیاری رشته | - |
| description | اختیاری رشته | - |
| url | اختیاری رشته | - |
| image | اختیاری فایل | - |
| button_title_1 | اختیاری رشته | - |
| button_url_1 | اختیاری رشته | - |
| button_title_2 | اختیاری رشته | - |
| button_url_2 | اختیاری رشته | - |
| is_scheduled | اختیاری بولی | - |
| scheduled_datetime | اختیاری رشته | - |
| is_silent | اختیاری بولی | - |
| is_auto_hide | اختیاری بولی | - |
| ttl | اختیاری رشته | مقادیر مجاز: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | اختیاری رشته | مقادیر مجاز: all, custom, filter, INT segment_id |
| subscribers_ids | اختیاری رشته | در دسترس زمانی که: segment = custom |
| filters_custom_parameter_key[index] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_custom_parameter_condition[index] | اختیاری رشته |
مقادیر مجاز: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than در دسترس زمانی که: segment = filter |
| filters_custom_parameter_value[index] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_seen_online_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_sent_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_subscribed_on_url | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_cities | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_countries[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_continents[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_device_type[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_languages[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_operating_systems[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_browsers[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| utm_source | اختیاری رشته | - |
| utm_medium | اختیاری رشته | - |
| utm_campaign | اختیاری رشته | - |
| save | اختیاری بولی | Save draft |
| send | اختیاری بولی | Send campaign |
curl --request POST \
--url 'https://push.cheraghestan.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://push.cheraghestan.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
DELETE https://push.cheraghestan.com/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://push.cheraghestan.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \